Форум программистов, компьютерный форум, киберфорум
Ubuntu, Mint Linux
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.81/16: Рейтинг темы: голосов - 16, средняя оценка - 4.81
Platinumix
231 / 12 / 3
Регистрация: 28.12.2012
Сообщений: 191
1

Как установить PHP 5.3.10 на Linux Ubuntu 16.04?

08.12.2016, 08:31. Просмотров 3006. Ответов 4
Метки нет (Все метки)

Как установить PHP 5.3.10 на Linux Ubuntu 16.04? В репозитории только новая версия PHP 7, а нужна PHP 5.3.10. Пожалуйста помогите с этим вопросом.
0
QA
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
08.12.2016, 08:31
Ответы с готовыми решениями:

Как установить прокси сервер на linux ubuntu
Здраствуйте, помогите пожалуйсто, как установить прокси сервер на linux ubuntu, я уже весь яндекс...

Как установить adobe acrobat reader на linux ubuntu 16.04
Как установить adobe acrobat reader на linux ubuntu 16.04. заранее блогодарю

Как удалить Linux Ubuntu с ноутбука и установить Windows 7?
Как удалить Linux Ubuntu с ноутбука и установить Windows 7(но ноутбук не имеет CD/DVD...

как установить Apache+MySQL+PHP + Phpmyadmin в Ubuntu
ребята напишите подробно как установить Apache+MySQL+PHP + Phpmyadmin в Ubuntu может я что то не...

4
gng
912 / 630 / 197
Регистрация: 08.09.2013
Сообщений: 1,690
08.12.2016, 13:32 2
Цитата Сообщение от Platinumix Посмотреть сообщение
PHP 5.3
В 2013 прекратилась активная поддержка, а с 2014 - не поддерживается никак (перестали исправлять проблемы безопасности).
Цитата Сообщение от Platinumix Посмотреть сообщение
В репозитории только новая версия PHP 7, а нужна PHP 5.3.10.
Если так нужно - скачать исходники и собрать самому. Установить придется в отдельный каталог, а лучше в контейнер.

Добавлено через 17 минут
PS. Как вариант, можно установить CentOS 6.
RHEL 6 будет поддерживаться (будут исправляться критические баги) до ноября 2020, и там php 5.3.
0
Dmitry
Эксперт по компьютерным сетямЭксперт NIX
11463 / 6582 / 596
Регистрация: 09.09.2009
Сообщений: 26,003
08.12.2016, 17:34 3
на убунту 14.04 текущая версия пхп - 5.5.9, и поддержка дистрибутива до апреля 2019
0
Humanoid
Почетный модератор
10209 / 4002 / 379
Регистрация: 12.06.2008
Сообщений: 11,653
10.12.2016, 11:57 4
На ppa:ondrej/php есть все активные версии (на сегодняшний день это 5.5, 5.6, 7.0 и 7.1). Лучше всего, по возможности, переписать mysql на PDO или mysqli и обновиться до последней ветки. Тем более, по тестам, PHP7 работает быстрее, чем предыдущие версии. Насчёт 7.1 ничего не скажу - не пробовал.
0
ProCode
34 / 34 / 6
Регистрация: 11.12.2016
Сообщений: 329
Записей в блоге: 6
20.12.2016, 22:49 5
попробуй это: https://habrahabr.ru/post/210764/

а вообще, я когда на 16.04 даунгрейдился с 7.0 до 5.6 как раз использовал упомянутый выше ppa:ondrej/php
0
20.12.2016, 22:49
Answers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
20.12.2016, 22:49

Заказываю контрольные, курсовые, дипломные и любые другие студенческие работы здесь.

Как установить только PHP 5.2.17 под Linux через APT?
Здравствуйте , хотел бы узнать у вас как установить php 5.2.17 для работы в командной строке ,...

Установить Linux Ubuntu 13.04 и 14.04 на ноутбук AsusX552EA
Доброго время суток! Подскажите пожалуйста как установить Linux Ubuntu 13.04 и 14.04 на ноутбук...

Установить pyqt4 для python 3.2 в Linux Ubuntu 12.04
Делал как тут. import PyQt4 В результате в Python 3.2 выдает ошибку, что не найден модуль....

Не выходит установить windows взамен linux(ubuntu)
Здравствуйте! И так, возникла проблема. Есть новый ноутбук с предустановленным линуксом (убунту)...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
5
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2020, vBulletin Solutions, Inc.